kobject_get_path
Prev | Kernel objects manipulation | Next

## Name

kobject_get_path — generate and return the path associated with a given kobj and kset pair.

## Synopsis

`char * kobject_get_path (` | struct kobject * | kobj,
| gfp_t | gfp_mask`)`;

## Arguments

`kobj`

  kobject in question, with which to build the path

`gfp_mask`

  the allocation type used to allocate the path

## Description

The result must be freed by the caller with `kfree`.

Prev | Up | Next
Kernel objects manipulation | Home | kobject_set_name